package com.ejie.aa21b.model;

/**
 * Aa21b01s01  
 * 
 *  
 */

public class Aa21b01s01 implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private String cserv01;
	private String ctipoe01;
	private Long cfase01;
	private String dfase01;

	public byte[] getDocumentoPID() {
		return documentoPID;
	}

	public void setDocumentoPID(byte[] documentoPID) {
		this.documentoPID = documentoPID;
	}

	private String situ01;
	private Integer bloq01;

	private String tdocu01;
	private String extdocu01;
	private String usub01;
	private String efase01;

	private byte[] documentoPID;
	private String codPid01;

	public String getCodPid01() {
		return codPid01;
	}

	public void setCodPid01(String codPid01) {
		this.codPid01 = codPid01;
	}

	/**
	 * @return the id
	 */
	public String getIdFase() {
		return cserv01 + "-" + ctipoe01 + "-" + cfase01;
	}

	/**
	 * @param idFase
	 *            the id to set
	 */
	public void setIdFase(String idFase) {
		String[] ids = idFase.split("-");
		this.cserv01 = ids[0];
		this.ctipoe01 = ids[1];
		this.cfase01 = new Long(ids[2]);
	}

	/**
	 * Method 'Aa21b01s01'.
	 */
	public Aa21b01s01() {
	}

	/**
	 * Method 'Aa21b01s01'.
	 * 
	 * @param cserv01
	 *            String
	 * @param ctipoe01
	 *            String
	 * @param cfase01
	 *            Long
	 */
	public Aa21b01s01(String cserv01, String ctipoe01, Long cfase01) {
		this.cserv01 = cserv01;
		this.ctipoe01 = ctipoe01;
		this.cfase01 = cfase01;
	}

	/**
	 * Method 'Aa21b01s01'.
	 * 
	 * @param cserv01
	 *            Long
	 * @param ctipoe01
	 *            String
	 * @param cfase01
	 *            Long
	 * @param dfase01
	 *            String
	 * @param situ01
	 *            String
	 * @param bloq01
	 *            Integer
	 * @param ndocu01
	 *            Long
	 * @param tdocu01
	 *            String
	 * @param usub01
	 *            String
	 * @param efase01
	 *            String
	 * @param docu01
	 *            byte[]
	 * @param extdocu01
	 *            String
	 */
	public Aa21b01s01(String cserv01, String ctipoe01, Long cfase01,
			String dfase01, String situ01, Integer bloq01, String tdocu01,
			String usub01, String efase01, String extdocu01) {

		this.cserv01 = cserv01;
		this.ctipoe01 = ctipoe01;
		this.cfase01 = cfase01;
		this.dfase01 = dfase01;
		this.situ01 = situ01;
		this.bloq01 = bloq01;

		this.tdocu01 = tdocu01;
		this.usub01 = usub01;
		this.efase01 = efase01;
		this.extdocu01 = extdocu01;
	}

	/**
	 * Method 'Aa21b01s01'.
	 * 
	 * @param cserv01
	 *            Long
	 * @param ctipoe01
	 *            String
	 * @param cfase01
	 *            Long
	 * @param ndocu01
	 *            Long
	 * @param tdocu01
	 *            String
	 * @param extdocu01
	 *            String
	 * @param docu01
	 *            byte[]
	 */
	public Aa21b01s01(String cserv01, String ctipoe01, Long cfase01,
			String tdocu01, String extdocu01) {

		this.cserv01 = cserv01;
		this.ctipoe01 = ctipoe01;
		this.cfase01 = cfase01;

		this.tdocu01 = tdocu01;
		this.extdocu01 = extdocu01;

	}

	/**
	 * Method 'getCserv01'.
	 * 
	 * @return String
	 */

	public String getCserv01() {
		return this.cserv01;
	}

	/**
	 * Method 'setCserv01'.
	 * 
	 * @param cserv01
	 *            String
	 * @return
	 */

	public void setCserv01(String cserv01) {
		this.cserv01 = cserv01;
	}

	/**
	 * Method 'getCtipoe01'.
	 * 
	 * @return String
	 */

	public String getCtipoe01() {
		return this.ctipoe01;
	}

	/**
	 * Method 'setCtipoe01'.
	 * 
	 * @param ctipoe01
	 *            String
	 * @return
	 */

	public void setCtipoe01(String ctipoe01) {
		this.ctipoe01 = ctipoe01;
	}

	/**
	 * Method 'getCfase01'.
	 * 
	 * @return Long
	 */

	public Long getCfase01() {
		return this.cfase01;
	}

	/**
	 * Method 'setCfase01'.
	 * 
	 * @param cfase01
	 *            Long
	 * @return
	 */

	public void setCfase01(Long cfase01) {
		this.cfase01 = cfase01;
	}

	/**
	 * Method 'getDfase01'.
	 * 
	 * @return String
	 */

	public String getDfase01() {
		return this.dfase01;
	}

	/**
	 * Method 'setDfase01'.
	 * 
	 * @param dfase01
	 *            String
	 * @return
	 */

	public void setDfase01(String dfase01) {
		this.dfase01 = dfase01;
	}

	/**
	 * Method 'getSitu01'.
	 * 
	 * @return String
	 */

	public String getSitu01() {
		return this.situ01;
	}

	/**
	 * Method 'setSitu01'.
	 * 
	 * @param situ01
	 *            String
	 * @return
	 */

	public void setSitu01(String situ01) {
		this.situ01 = situ01;
	}

	/**
	 * Method 'getBloq01'.
	 * 
	 * @return Integer
	 */

	public Integer getBloq01() {
		return this.bloq01;
	}

	/**
	 * Method 'setBloq01'.
	 * 
	 * @param bloq01
	 *            Integer
	 * @return
	 */

	public void setBloq01(Integer bloq01) {
		this.bloq01 = bloq01;
	}

	/**
	 * Method 'getTdocu01'.
	 * 
	 * @return String
	 */

	public String getTdocu01() {
		return this.tdocu01;
	}

	/**
	 * Method 'setTdocu01'.
	 * 
	 * @param tdocu01
	 *            String
	 * @return
	 */

	public void setTdocu01(String tdocu01) {
		this.tdocu01 = tdocu01;
	}

	/**
	 * Method 'getUsub01'.
	 * 
	 * @return String
	 */

	public String getUsub01() {
		return this.usub01;
	}

	/**
	 * Method 'setUsub01'.
	 * 
	 * @param usub01
	 *            String
	 * @return
	 */

	public void setUsub01(String usub01) {
		this.usub01 = usub01;
	}

	/**
	 * Method 'getEfase01'.
	 * 
	 * @return String
	 */

	public String getEfase01() {
		return this.efase01;
	}

	/**
	 * Method 'setEfase01'.
	 * 
	 * @param efase01
	 *            String
	 * @return
	 */

	public void setEfase01(String efase01) {
		this.efase01 = efase01;
	}

	/**
	 * Method 'getExtdocu01'.
	 * 
	 * @return String
	 */
	public String getExtdocu01() {
		return extdocu01;
	}

	/**
	 * Method 'setExtdocu01'.
	 * 
	 * @param extdocu01
	 *            String
	 * @return
	 */
	public void setExtdocu01(String extdocu01) {
		this.extdocu01 = extdocu01;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ cserv01: ").append(this.cserv01).append(" ]");

		result.append(", [ ctipoe01: ").append(this.ctipoe01).append(" ]");

		result.append(", [ cfase01: ").append(this.cfase01).append(" ]");
		result.append(", [ dfase01: ").append(this.dfase01).append(" ]");
		result.append(", [ situ01: ").append(this.situ01).append(" ]");
		result.append(", [ bloq01: ").append(this.bloq01).append(" ]");

		result.append(", [ tdocu01: ").append(this.tdocu01).append(" ]");
		result.append(", [ usub01: ").append(this.usub01).append(" ]");
		result.append(", [ efase01: ").append(this.efase01).append(" ]");
		result.append(", [ extdocu01: ").append(this.extdocu01).append(" ]");
		result.append("}");
		return result.toString();
	}

}
